Bug 1013890 - RFE: Save topic keyboard shortcut
RFE: Save topic keyboard shortcut
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.3
Assigned To: Matthew Casperson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 22:07 EDT by Matthew Casperson
Modified: 2014-08-04 18:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-03 17:16:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Casperson 2013-09-30 22:07:32 EDT
Add a keyboard shortcut to allow authors to save their changes without clicking a button.

Will also have to make sure the the log entry message can also be filled and submitted with the keyboard.
Comment 1 Matthew Casperson 2013-11-17 17:22:36 EST
Fixed in 201311180814

This can be verified on the dev server.

Press CTRL-ALT-S to save.
Comment 2 Lee Newson 2013-11-24 18:50:08 EST
Verified that this works for topics, however the handler appears to hang around when moving to new pages. As an example go to a topic, then switch to a content spec via the quick search box and try "CTRL+ALT+S".

I also think that this shortcut combo should at least be applied to Translated Topics and Content Specs, if not all views.
Comment 3 Matthew Casperson 2013-11-25 01:23:04 EST
The keyboard handlers are now cleaned up once the presenter is closed. This prevents the keyboard shortcut from working outside of the view it is targeting.

Content specs and translated topics now also have the shortcut.
Comment 4 Lee Newson 2013-11-25 01:33:20 EST
Verified with Build 201311251614 that the handlers are cleaned up and the keyboard shortcut works on the Topic, Translated Topic and Content Spec views.
Comment 5 Jared MORGAN 2013-12-17 21:47:41 EST
While the keyboard shortcut is a small feature, I've documented it in 21673 for great justice.

Note You need to log in before you can comment on or make changes to this bug.